$darkmode

| Qore Sqlite3SqlUtil Module Reference 1.1

Public Member Functions | Protected Member Functions | List of all members
Sqlite3SqlUtil::Sqlite3Index Class Reference

represents a Sqlite3-specific index More...

Inherits SqlUtil::AbstractIndex.

## Public Member Functions
| constructor (string name, bool unique, hash< auto > cols, *hash< string, string > collations)
| creates the object from the arguments
list< string > | getColumnCollationList ()
| Returns a list of column name with COLLATE argument per column, if appropriate.
string | getCreateSql (string table_name, *hash< auto > opt)
| returns a string that can be used to create the index in the database
string | getDropSql (string table_name)
| returns a string that can be used to drop the index from the table
string | getRenameSql (string table_name, string new_name)
| returns a string that can be used to rename the index in the database More...

## Protected Member Functions
bool | equalImpl (AbstractIndex ix)
| returns True if the argument is equal to the current index, False if not

## Detailed Description

represents a Sqlite3-specific index

## Member Function Documentation

## ◆ getRenameSql()

string Sqlite3SqlUtil::Sqlite3Index::getRenameSql | ( | string | table_name,
|  | string | new_name
| ) |  |

returns a string that can be used to rename the index in the database

however sqlite3 does not support renaming indexes, so the index is dropped and recreated